.tabs {
    padding: 2em;
}
.tabs__list {
    list-style: none;
    margin: 0;
    padding: 0 0 0 1px;
    position: relative;
    z-index: 1;
}
.tabs__list:after {
    clear: both;
    content: "";
    display: block;
}
.tabs__list > li {
    display: inline;
}
.tabs__list > li label {
    position: relative;
}
.tabs__radio:nth-of-type(1):checked ~ .tabs__list > li:nth-of-type(1) label,
.tabs__radio:nth-of-type(2):checked ~ .tabs__list > li:nth-of-type(2) label,
.tabs__radio:nth-of-type(3):checked ~ .tabs__list > li:nth-of-type(3) label,
.tabs__radio:nth-of-type(4):checked ~ .tabs__list > li:nth-of-type(4) label,
.tabs__radio:nth-of-type(5):checked ~ .tabs__list > li:nth-of-type(5) label,
.tabs__radio:nth-of-type(6):checked ~ .tabs__list > li:nth-of-type(6) label {
    background: #fff;
    height: 21px;
    margin-bottom: -1px;
    margin-top: 0;
}
.tabs__list > li .tabs__list--active {
    height: 21px;
    margin-bottom: -1px;
    margin-top: 0;
}
.tabs__container {
    font-size: 0;
    margin: 0;
    overflow: hidden;
    position: relative;
    white-space: nowrap;
}
.tabs__container > .tabs__panel {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    display: inline-block;
    font-size: 12px;
    height: 0;
    margin: 0;
    padding: 0 20px;
    vertical-align: top;
    white-space: normal;
    width: 100%;
}
.tabs__radio:nth-of-type(1):checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: 0;
}
.tabs__radio:nth-of-type(2):checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -100%;
}
.tabs__radio:nth-of-type(3):checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -200%;
}
.tabs__radio:nth-of-type(4):checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -300%;
}
.tabs__radio:nth-of-type(5):checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -400%;
}
.tabs__radio:nth-of-type(6):checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -500%;
}
.tabs__radio:nth-of-type(7):checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -600%;
}
.tabs__radio:nth-of-type(8):checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -700%;
}
.tabs__radio:nth-of-type(9):checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -800%;
}
.tabs__radio--checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: 0;
}
.tabs__radio + .tabs__radio--checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -100%;
}
.tabs__radio + .tabs__radio + .tabs__radio--checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -200%;
}
.tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio--checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -300%;
}
.tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio--checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -400%;
}
.tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio--checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -500%;
}
.tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio--checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -600%;
}
.tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio--checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -700%;
}
.tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio + .tabs__radio--checked ~ .tabs__container > .tabs__panel:first-child {
    margin-left: -800%;
}
.tabs__radio:nth-of-type(1):checked ~ .tabs__container > .tabs__panel:nth-child(1),
.tabs__radio:nth-of-type(2):checked ~ .tabs__container > .tabs__panel:nth-child(2),
.tabs__radio:nth-of-type(3):checked ~ .tabs__container > .tabs__panel:nth-child(3),
.tabs__radio:nth-of-type(4):checked ~ .tabs__container > .tabs__panel:nth-child(4),
.tabs__radio:nth-of-type(5):checked ~ .tabs__container > .tabs__panel:nth-child(5),
.tabs__radio:nth-of-type(6):checked ~ .tabs__container > .tabs__panel:nth-child(6),
.tabs__radio:nth-of-type(7):checked ~ .tabs__container > .tabs__panel:nth-child(7),
.tabs__radio:nth-of-type(8):checked ~ .tabs__container > .tabs__panel:nth-child(8),
.tabs__radio:nth-of-type(9):checked ~ .tabs__container > .tabs__panel:nth-child(9) {
    height: auto;
}
.tabs__container > .tabs__panel--active {
    height: auto;
}